Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.commonapi
Interface RouteMessage

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  MultiringRouteMessage, PastRegrTest.TestRouteMessage, RouteMessage, ScribeRegrTest.TestRouteMessage

public interface RouteMessage
extends java.io.Serializable

Version:
  $Id: RouteMessage.java,v 1.6 2005/03/11 00:58:02 jeffh Exp $
Author:
  Alan Mislove, Peter Druschel

Method Summary
`Id` | `getDestinationId()` Returns the destination Id for this message
`Message` | `getMessage()` Returns the enclosed message inside of this message
`NodeHandle` | `getNextHopHandle()` Returns the next hop handle for this message
`void` | `setDestinationId(Id id)` Sets the destination Id for this message
`void` | `setMessage(Message message)` Sets the internal message for this message
`void` | `setNextHopHandle(NodeHandle nextHop)` Sets the next hop handle for this message

Method Detail

### getDestinationId

    public Id getDestinationId()

  Returns the destination Id for this message

  Returns:
    The destination Id

### getNextHopHandle

    public NodeHandle getNextHopHandle()

  Returns the next hop handle for this message

  Returns:
    The next hop

### getMessage

    public Message getMessage()

  Returns the enclosed message inside of this message

  Returns:
    The enclosed message

### setDestinationId

    public void setDestinationId(Id id)

  Sets the destination Id for this message

  Parameters:
    `id` - The destination Id

### setNextHopHandle

    public void setNextHopHandle(NodeHandle nextHop)

  Sets the next hop handle for this message

  Parameters:
    `nextHop` - The next hop for this handle

### setMessage

    public void setMessage(Message message)

  Sets the internal message for this message

  Parameters:
    `message` - The internal message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.